Various changes (many by me) have been made to the man pages without
bumping their dates. I have now corrected them based on the last commit
to each file. I also added the script I used to make these changes.
Reviewed-by: Olaf Faaland <faaland1@llnl.gov>
Reviewed-by: Brian Behlendorf <behlendorf1@llnl.gov>
Signed-off-by: Richard Laager <rlaager@wiktel.com>
Closes #8710
.\" Copyright (c) 2017 Lawrence Livermore National Security, LLC.
.\" Copyright (c) 2017 Intel Corporation.
.\"
-.Dd April 14, 2017
+.Dd April 14, 2019
.Dt ZDB 8 SMM
.Os Linux
.Sh NAME
.\"
.\" Copyright (c) 2016, 2019 by Delphix. All Rights Reserved.
.\"
-.Dd January 21, 2016
+.Dd February 26, 2019
.Dt ZFS-PROGRAM 8
.Os
.Sh NAME
.\" Copyright 2018 Nexenta Systems, Inc.
.\" Copyright 2018 Joyent, Inc.
.\"
-.Dd February 26, 2019
+.Dd April 30, 2019
.Dt ZFS 8 SMM
.Os Linux
.Sh NAME
.\"
.\" Copyright (c) 2017 by Lawrence Livermore National Security, LLC.
.\"
-.Dd July 24, 2017
+.Dd September 16, 2017
.Dt ZGENHOSTID 8 SMM
.Os Linux
.Sh NAME
.\" Copyright 2017 Nexenta Systems, Inc.
.\" Copyright (c) 2017 Open-E, Inc. All Rights Reserved.
.\"
-.Dd November 29, 2018
+.Dd May 2, 2019
.Dt ZPOOL 8 SMM
.Os Linux
.Sh NAME
enum-extract.pl \
kmodtool \
make_gitrev.sh \
+ man-dates.sh \
paxcheck.sh \
zfs2zol-patch.sed \
cstyle.pl
--- /dev/null
+#!/bin/sh
+
+# This script updates the date lines in the man pages to the date of the last
+# commit to that file.
+
+set -eu
+
+find man -type f | while read -r i ; do
+ git_date=$(git log -1 --date=short --format="%ad" -- "$i")
+ [ "x$git_date" = "x" ] && continue
+ sed -i "s|^\.Dd.*|.Dd $(date -d "$git_date" "+%B %-d, %Y")|" "$i"
+done